import request from "@/utils/request";

// 增删改用户
export function setUser(data) {
  return request({
    url: "/ecloud-user-center-dt/web/user/MgtUser",
    method: "post",
    data
  });
}

// 增删改用户角色关系
export function setUserRole(data) {
  return request({
    url: "/ecloud-user-center-dt/web/user/userCrspRole",
    method: "post",
    data
  });
}

// 获取用户列表
export function getUserData(data) {
  return request({
    url: "/ecloud-user-center-dt/web/user/MgtUserQueryList",
    method: "post",
    data
  });
}

// 获取机构列表
export function getOrganData(data) {
  return request({
    url: "/ecloud-user-center-dt/web/user/MgtUserOrgList",
    method: "post",
    data
  });
}

// 获取角色列表
export function getRoleData(data) {
  return request({
    url: "/ecloud-user-center-dt/web/user/MgtUserRoleList",
    method: "post",
    data
  });
}

// 重置密码
export function resetPass(data) {
  return request({
    url: "/ecloud-user-center-dt/web/user/resetPwd",
    method: "post",
    data
  });
}
